--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
constants: 
- !ruby/object:RI::Constant 
  comment: 
  name: URL
  value: "'https://secure.verifi.com/gw/api/transact.php'"
- !ruby/object:RI::Constant 
  comment: 
  name: RESPONSE_CODE_MESSAGES
  value: "{         \"100\" => \"Transaction was Approved\",          \"200\" => \"Transaction was Declined by Processor\",          \"201\" => \"Do Not Honor\",          \"202\" => \"Insufficient Funds\",          \"203\" => \"Over Limit\",          \"204\" => \"Transaction not allowed\",          \"220\" => \"Incorrect payment Data\",          \"221\" => \"No Such Card Issuer\",          \"222\" => \"No Card Number on file with Issuer\",          \"223\" => \"Expired Card\",          \"224\" => \"Invalid Expiration Date\",          \"225\" => \"Invalid Card Security Code\",          \"240\" => \"Call Issuer for Further Information\",          \"250\" => \"Pick Up Card\",          \"251\" => \"Lost Card\",          \"252\" => \"Stolen Card\",          \"253\" => \"Fraudulent Card\",          \"260\" => \"Declined With further Instructions Available (see response text)\",          \"261\" => \"Declined - Stop All Recurring Payments\",          \"262\" => \"Declined - Stop this Recurring Program\",          \"263\" => \"Declined - Update Cardholder Data Available\",          \"264\" => \"Declined - Retry in a few days\",          \"300\" => \"Transaction was Rejected by Gateway\",          \"400\" => \"Transaction Error Returned by Processor\",          \"410\" => \"Invalid Merchant Configuration\",          \"411\" => \"Merchant Account is Inactive\",          \"420\" => \"Communication Error\",          \"421\" => \"Communication Error with Issuer\",          \"430\" => \"Duplicate Transaction at Processor\",          \"440\" => \"Processor Format Error\",          \"441\" => \"Invalid Transaction Information\",          \"460\" => \"Processor Feature Not Available\",          \"461\" => \"Unsupported Card Type\""
- !ruby/object:RI::Constant 
  comment: 
  name: SUCCESS
  value: "1"
- !ruby/object:RI::Constant 
  comment: 
  name: TRANSACTIONS
  value: "{         :authorization => 'auth',         :purchase => 'sale',         :capture => 'capture',         :void => 'void',         :credit => 'credit',         :refund => 'refund'"
full_name: ActiveMerchant::Billing::VerifiGateway
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: authorize
- !ruby/object:RI::MethodSummary 
  name: capture
- !ruby/object:RI::MethodSummary 
  name: credit
- !ruby/object:RI::MethodSummary 
  name: purchase
- !ruby/object:RI::MethodSummary 
  name: void
name: VerifiGateway
superclass: Gateway
